﻿using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Txgy.FilesWatcher.model
{
    public class DBConfig
    {
        private static readonly string _connStr;
        private static IDbConnection Cnn => new MySqlConnection(_connStr);
        static DBConfig()
        {
            _connStr = "Server=bj-cdb-q64mbxr6.sql.tencentcdb.com;Port=60027;Database=yuwu2021;Uid=yuwudba;Pwd=Yw123456;charset='utf8'";
        }
        public static MySqlConnection OpenConnection()
        {
            MySqlConnection connection = new MySqlConnection(_connStr);
          //  SimpleCRUD.SetDialect(SimpleCRUD.Dialect.MySQL);
            connection.Open();
            return connection;
        }
        public string getConfig(string configkey)
        {
            return "";
        }
        /////////////////////////////////
        //createtables 配置
        //起始台站号
        public int stationNoStart = 02;
        //结束台站号
        public int stationNoend => 27;
        //起始年月
        public string YearMonthStart => "2022-03";
        //结束年月
        public string YearMonthend => "2027-03";

        //uploadminiseed 配置（以分钟为单位）
        //Miniseed文件路径BASE
        public string MiniseedPathBase => "Y:/YuwuN3102mseed/NET2023";
        //从当前年、月、日、时、分，往以前X分钟
        //'BeforeNMin' => 60*24*1,
        public int BeforeNMin => 60 * 1 * 1;
        //从当前年、月、日、时、分，往以后X分钟
        //'AfterNMin' => 60*24*1,
        public int AfterNMin => 10 * 1 * 1;
        /////////////////////////////////

        /////////////////////////////////
        //uploadrealtime 配置（以天为单位）
        //realtimeEvent文件路径BASE
        public string EventPathBase => "Y:/YuwuN3102mseed/";
        //从当前年、月、日往以前X天
        public int EventBeforeNDay => 3;
        //从当前年、月、日往以后X天
        public int EventAfterNDay => 1;
        /////////////////////////////////

        /////////////////////////////////
        //uploadpostpro 配置（以天为单位）
        //PostProEvent文件路径BASE
        public string PostProEventPathBase => "Y:/YuwuN3102mseed/post/";
            //从当前年、月、日往以前X天
           public int PostProEventBeforeNDa => 3;
        //从当前年、月、日往以后X天
        public int PostProEventAfterNDay => 1;
        
    }
}
